Package com.sas.lsaf.security.user

## Class AuthenticationProviderInfo

- java.lang.Object
- - com.sas.lsaf.security.user.AuthenticationProviderInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AuthenticationProviderInfo
      extends java.lang.Object
      implements java.io.Serializable

  Metadata representation of an authentication provider suitable for selection lists. Authentication providers enable external authentication routines within the system. External authentication providers are an optional feature allowed on the server so the available list varies from instance to instance.
  Since:
    1.2
  See Also:
    `AccountInfo.getAuthenticator()`, `UserService.getAuthenticationProviderInfos()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticationProviderInfo​(java.lang.String id, java.lang.String name, java.lang.String description, boolean primary)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the authentication provider.
    `java.lang.String` | `getId()` | Gets the unique identifier for the authentication provider.
    `java.lang.String` | `getName()` | Gets the display name for the authentication provider.
    `int` | `hashCode()` |
    `boolean` | `isPrimary()` | Returns `true` if the authentication provider is the primary provider, `false` otherwise.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationProviderInfo

          public AuthenticationProviderInfo​(java.lang.String id,
                                            java.lang.String name,
                                            java.lang.String description,
                                            boolean primary)

      Constructor.
      Parameters:
        `id` - the unique identifier for the authentication provider.
        `name` - the display name for the authentication provider.
        `description` - the description of the authentication provider.
        `primary` - indicates that the authentication provider is the primary provider.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier for the authentication provider.
      Returns:
        The unique identifier for the authentication provider.

    - #### getName

          public java.lang.String getName()

      Gets the display name for the authentication provider.
      Returns:
        The display name for the authentication provider.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the authentication provider.
      Returns:
        The description of the authentication provider.

    - #### isPrimary

          public boolean isPrimary()

      Returns `true` if the authentication provider is the primary provider, `false` otherwise.
      Returns:
        `True` if the authentication provider is the primary provider, `false` otherwise.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`